Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
the compiz is not supported
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
wuyk-sono
n00b
n00b


Joined: 06 Jun 2017
Posts: 21

PostPosted: Thu Mar 07, 2019 7:25 am    Post subject: the compiz is not supported Reply with quote

there is not comiz in x11-wm
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 22999
Location: here

PostPosted: Thu Mar 07, 2019 7:30 am    Post subject: Reply with quote

You can use one of overlays http://gpo.zugaina.org/unity-base/compiz
_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
wuyk-sono
n00b
n00b


Joined: 06 Jun 2017
Posts: 21

PostPosted: Thu Mar 07, 2019 8:39 am    Post subject: Reply with quote

fedeliallalinea wrote:
You can use one of overlays http://gpo.zugaina.org/unity-base/compiz


thanks, and how to get a untiy-gentoo portage-tree :lol:
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 22999
Location: here

PostPosted: Thu Mar 07, 2019 8:52 am    Post subject: Reply with quote

wuyk-sono wrote:
thanks, and how to get a untiy-gentoo portage-tree :lol:

You can use layman, but if you want only this ebuild without get all others ebuilds of overlay you can create a custom repository
_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
wuyk-sono
n00b
n00b


Joined: 06 Jun 2017
Posts: 21

PostPosted: Mon Mar 11, 2019 7:47 am    Post subject: Reply with quote

fedeliallalinea wrote:
wuyk-sono wrote:
thanks, and how to get a untiy-gentoo portage-tree :lol:

You can use layman, but if you want only this ebuild without get all others ebuilds of overlay you can create a custom repository


thank you , I get it.
Back to top
View user's profile Send private message
hedmo
l33t
l33t


Joined: 29 Aug 2009
Posts: 998
Location: halmstad

PostPosted: Thu Mar 28, 2019 8:08 pm    Post subject: Re: the compiz is not supported Reply with quote

wuyk-sono wrote:
there is not comiz in x11-wm


wuyk-sono i am working on an updated compiz ebuild but there is some problem with it so you wont have it yet but i have an old one if you want to try.

Code:


# Distributed under the terms of the GNU General Public License v2

EAPI=5

#GIT_ECLASS="git-2"
#EGIT_REPO_URI="https://github.com/hedmo/compiz"
#inherit cmake-utils eutils ${GIT_ECLASS} gnome2-utils toolchain-funcs python

# Pick your poison, EITHER the 3 lines above or the 2 lines below

SRC_URI="http://bazaar.launchpad.net/~compiz-team/compiz/0.9.13/tarball/4130 -> -compiz-team-compiz-0.9.13-r4130.tgz"
inherit cmake-utils eutils gnome2-utils toolchain-funcs

# python

KEYWORDS="*"
S="${WORKDIR}/~compiz-team/${PN}/${PV}"
DESCRIPTION="OpenGL window and compositing manager"
HOMEPAGE="http://www.compiz.org/"

PATCHSET_URI="https://github.com/megabaks/stuff/blob/master/x11-wm/compiz/files/compiz-kde-4.8.patch"

LICENSE="GPL-2 LGPL-2.1 MIT"
SLOT="0.9"

IUSE="+cairo debug dbus fuse gnome gtk kde +svg test"

COMMONDEPEND="
      dev-libs/boost
      dev-libs/glib:2
      dev-cpp/glibmm
      dev-libs/libxml2
      dev-libs/libxslt
      dev-python/pyrex
      dev-libs/protobuf
      media-libs/libpng
      x11-base/xorg-server
      x11-libs/libX11
      x11-libs/libXcomposite
      x11-libs/libXdamage
      x11-libs/libXext
      x11-libs/libXrandr
      x11-libs/libXrender
      x11-libs/libXinerama
      x11-libs/libICE
      x11-libs/libSM
      x11-libs/startup-notification
      virtual/opengl
      virtual/glu
      cairo? ( x11-libs/cairo[X] )
      fuse? ( sys-fs/fuse )
      gtk? (
            >=x11-libs/gtk+-2.18.0
            >=x11-libs/libwnck-2.19.4
            x11-libs/pango
            gnome? (
                  gnome-base/gnome-desktop
                  gnome-base/gconf
            )
      )
      kde? ( kde-base/kwin:4 )
      svg? (
            gnome-base/librsvg:2
            x11-libs/cairo
      )
      dbus? ( sys-apps/dbus )"

DEPEND="${COMMONDEPEND}
      app-admin/chrpath
      virtual/pkgconfig
      x11-proto/damageproto
      x11-proto/xineramaproto
      test? (
            dev-cpp/gtest
            dev-cpp/gmock
      )"

RDEPEND="${COMMONDEPEND}
      dev-python/pygtk
      x11-apps/mesa-progs
      x11-apps/xvinfo
      x11-themes/hicolor-icon-theme"

# TODO:
# - Remove automagic dependency for coverage report generation tools
# - Fix Xig-0 automagic resolving('CMake Warning at tests/integration/xig/CMakeLists.txt:30 (message): Xig not found, you will not be able to run X Server integration tests')
# - Check proper compilation with missing gettext/intltool
# - CFLAGS are NOT respected, this needs to be fixed
# - Default decorator exec command in ccsm is bad
# - Check all dependencies once more
# - Check CMakeFiles.txt this subdirectories :
# cmake - ?
# src
# compizconfig
# plugins
# tests - ?

pkg_pretend() {
      if [[ ${MERGE_TYPE} != binary ]]; then
         [[ $(gcc-major-version) -lt 4 ]] || \
         (   [[ $(gcc-major-version) -eq 4 && $(gcc-minor-version) -lt 6 ]] ) \
         && die "Sorry, but gcc 4.6 or higher is required."
      fi
}

#src_unpack() {
#git-2_src_unpack
#}

#src_unpack() {
#}
src_prepare() {

#epatch "${FILESDIR}/fix_access_violation.patch"

      echo "gtk/gnome/compiz-wm.desktop.in" >> "${S}/po/POTFILES.skip"
      echo "metadata/core.xml.in" >> "${S}/po/POTFILES.skip"

# Fix wrong path for icons
      sed -i 's:DataDir = "@prefix@/share":DataDir = "/usr/share":' compizconfig/ccsm/ccm/Constants.py.in
      
# Use Python 2
      find -type f \( -name 'CMakeLists.txt' -or -name '*.cmake' \) -exec sed -e 's/COMMAND python/COMMAND python2/g' -i {} \;
      find compizconfig/ccsm -type f -exec sed -e 's|^#!.*python|#!/usr/bin/env python2|g' -i {} \;
}

#pkg_setup() {
#   python_set_active_version 2
#}

src_configure() {
BUILD_DIR=${WORKDIR}/build
local mycmakeargs=(
"$(cmake-utils_use_use gnome GCONF)"
"$(cmake-utils_use_use gnome GNOME)"
"$(cmake-utils_use_use gnome GSETTINGS)"
"$(cmake-utils_use_use gtk GTK)"
"$(cmake-utils_use_use kde KDE4)"
"$(cmake-utils_use test COMPIZ_BUILD_TESTING)"
"-DCMAKE_INSTALL_PREFIX=/usr"
"-DCMAKE_C_FLAGS=$(usex debug '-DDEBUG -ggdb' '')"
"-DCMAKE_CXX_FLAGS=$(usex debug '-DDEBUG -ggdb' '')"
"-DCOMPIZ_DEFAULT_PLUGINS=ccp"
"-DCOMPIZ_DISABLE_SCHEMAS_INSTALL=ON"
"-DCOMPIZ_PACKAGING_ENABLED=ON"
"-HAVE_WNCK_WINDOW_HAS_NAME=1"
"-Wno-dev=ON"
)
cmake-utils_src_configure
}

src_install() {
   pushd "${CMAKE_BUILD_DIR}"
   # Fix paths to avoid sandbox access violation
   # 'emake DESTDIR=${D} install' does not work with compiz cmake files!
   for i in `find . -type f -name "cmake_install.cmake"`;do
   sed -e "s|/usr|${D}/usr|g" -i "${i}"  || die "sed failed"
   done
   emake install
   popd
}

pkg_preinst() {
   use gnome && gnome2_gconf_savelist
}

pkg_postinst() {
   use gnome && gnome2_gconf_install
   if use dbus; then
   ewarn "The dbus plugin is known to crash compiz in this version. Disable"
   ewarn "it if you experience crashes when plugins are enabled/disabled."
   fi
}

pkg_prerm() {
   use gnome && gnome2_gconf_uninstall
}
 


i have a hub= https://github.com/hedmo/

cred to kernelOfTruth

regards hedmo
Back to top
View user's profile Send private message
r7l
n00b
n00b


Joined: 16 Feb 2019
Posts: 44

PostPosted: Fri Mar 29, 2019 10:27 pm    Post subject: Reply with quote

Have you tried to the compiz-reloaded overlay? It works perfectly for me.

https://github.com/ethus3h/compiz-reloaded-overlay
Back to top
View user's profile Send private message
yuyuyak
n00b
n00b


Joined: 23 Nov 2012
Posts: 51
Location: United States

PostPosted: Tue Jan 14, 2020 8:52 pm    Post subject: Reply with quote

I can install the compiz-0.9.13.1-r2 from Funtoo with a little trickery.
Code:
ebuild ${YOUR_LOCAL_REPO_LOCATION}/x11-wm/compiz/compiz-0.9.13.1-r2.ebuild configure
find /var/tmp/portage/x11-wm/compiz-0.9.13.1-r2/work/build -type f -print0 | \
xargs -0 sed -i 's%/usr/lib/glib%/usr/lib64/glib%g'
ebuild ${YOUR_LOCAL_REPO_LOCATION}/x11-wm/compiz/compiz-0.9.13.1-r2.ebuild merge

It just gets confused and uses the 32 bit glib includes, simple enough. I haven't yet figured out how to solve that in the cmake stuff. It works in Funtoo because /usr/lib is a symbolic link to lib64 in that distro. They no longer have multilib, but it worked even when they did because they put their 32 bit libs in /usr/lib32 and still had the symbolic link.
I'm working on 0.9.14.1. With a little ebuild tweaking it has the same issue, same fix. But then further on in the compile it has an xml parsing error I haven't solved yet. If you want to try fixing that, here is the ebuild, not to be confused with a 100% working ebuild:
Code:
# Distributed under the terms of the GNU General Public License v2

EAPI=5

PYTHON_COMPAT=( python3_6 python3_7 )
inherit cmake-utils eutils gnome2-utils toolchain-funcs python-single-r1 versionator
SRC_URI="https://launchpad.net/${PN}/$(get_version_component_range 1-3)/${PV}/+download/${P}.tar.xz"
KEYWORDS="*"
DESCRIPTION="OpenGL window and compositing manager"
HOMEPAGE="http://www.compiz.org/"

LICENSE="GPL-2 LGPL-2.1 MIT"
SLOT="0"

IUSE="+cairo dbus fuse gnome +svg test"

COMMONDEPEND="
      dev-libs/boost
      dev-libs/glib:2
      dev-cpp/glibmm
      dev-libs/libxml2
      dev-libs/libxslt
      dev-python/pyrex
      dev-libs/protobuf
      media-libs/libpng
      x11-base/xorg-server
      x11-libs/libX11
      x11-libs/libXcomposite
      x11-libs/libXdamage
      x11-libs/libXext
      x11-libs/libXrandr
      x11-libs/libXrender
      x11-libs/libXinerama
      x11-libs/libICE
      x11-libs/libSM
      x11-libs/startup-notification
      virtual/opengl
      virtual/glu
      cairo? ( x11-libs/cairo[X] )
      fuse? ( sys-fs/fuse )
      x11-libs/gtk+:3
      x11-libs/libwnck:3
      x11-libs/pango
      gnome? (
            gnome-base/gnome-desktop
            gnome-base/gconf
            )
      svg? (
            gnome-base/librsvg:2
            x11-libs/cairo
      )
      dbus? ( sys-apps/dbus )"

DEPEND="${COMMONDEPEND}
      app-admin/chrpath
      dev-util/gcovr
      dev-util/lcov
      virtual/pkgconfig
      test? (
            dev-cpp/gtest
            dev-cpp/gmock
      )"
#      x11-proto/damageproto
#      x11-proto/xineramaproto
RDEPEND="${COMMONDEPEND}
      dev-python/pygtk
      x11-apps/mesa-progs
      x11-apps/xvinfo
      x11-themes/hicolor-icon-theme
      x11-wm/metacity"

# TODO:
# - Remove automagic dependency for coverage report generation tools
# - Fix Xig-0 automagic resolving('CMake Warning at tests/integration/xig/CMakeLists.txt:30 (message): Xig not found, you will not be able to run X Server integration tests')
# - Check proper compilation with missing gettext/intltool
# - CFLAGS are NOT respected, this needs to be fixed
# - Default decorator exec command in ccsm is bad
# - Check all dependencies once more
# - Check CMakeFiles.txt this subdirectories :
# cmake - ?
# src
# compizconfig
# plugins
# tests - ?

pkg_pretend() {
   if [[ ${MERGE_TYPE} != binary ]]; then
      [[ $(gcc-major-version) -lt 5 ]] || \
      (   [[ $(gcc-major-version) -eq 5 && $(gcc-minor-version) -lt 3 ]] ) \
      && die "Sorry, but GCC version 5.3 or greater is required to continue."
   fi
}

#src_unpack() {
#git-2_src_unpack
#}

#src_unpack() {
#}
src_prepare() {

   echo "gtk/gnome/compiz-wm.desktop.in" >> "${S}/po/POTFILES.skip"
   echo "metadata/core.xml.in" >> "${S}/po/POTFILES.skip"

# Fix wrong path for icons
   sed -i 's:DataDir = "@prefix@/share":DataDir = "/usr/share":' compizconfig/ccsm/ccm/Constants.py.in
}

pkg_setup() {
   python-single-r1_pkg_setup
}

src_configure() {
   BUILD_DIR=${WORKDIR}/build
   local mycmakeargs=(
      "$(cmake-utils_use_use gnome GCONF)"
      "$(cmake-utils_use_use gnome GNOME)"
      "$(cmake-utils_use_use gnome GSETTINGS)"
      "$(cmake-utils_use test COMPIZ_BUILD_TESTING)"
      -DCMAKE_BUILD_TYPE="Release" \
      -DBUILD_METACITY=On \
      -DCMAKE_INSTALL_PREFIX=/usr \
      -DCOMPIZ_DEFAULT_PLUGINS="composite,opengl,decor,resize,place,move,compiztoolbox,staticswitcher,regex,animation,wall,ccp" \
      -DCOMPIZ_DISABLE_SCHEMAS_INSTALL=On \
      -DCOMPIZ_WERROR=Off \
      -DBUILD_GTK=On \
      -DCOMPIZ_PACKAGING_ENABLED=On \
      -DUSE_KDE4=Off \
      -DCYTHON_BIN=/usr/bin/cython
      
)
   cmake-utils_src_configure
}

src_install() {
   pushd "${CMAKE_BUILD_DIR}"

   # Fix paths to avoid sandbox access violation
   # 'emake DESTDIR=${D} install' does not work with compiz cmake files!

   for i in `find . -type f -name "cmake_install.cmake"` ; do
      sed -e "s|/usr|${D}/usr|g" -i "${i}"  || die "sed failed"
   done

   emake install
   popd
}

pkg_preinst() {
   use gnome && gnome2_gconf_savelist
}

pkg_postinst() {
   use gnome && gnome2_gconf_install

   if use dbus; then
      ewarn "The dbus plugin is known to crash compiz in this version. Disable"
      ewarn "it if you experience crashes when plugins are enabled/disabled."
   fi
}

pkg_prerm() {
   use gnome && gnome2_gconf_uninstall
}


Last edited by yuyuyak on Wed Jan 15, 2020 9:04 am; edited 1 time in total
Back to top
View user's profile Send private message
Hu
Moderator
Moderator


Joined: 06 Mar 2007
Posts: 14585

PostPosted: Wed Jan 15, 2020 2:17 am    Post subject: Reply with quote

yuyuyak wrote:
It works in Funtoo because /usr/lib is a symbolic link to lib64 in that distro. They no longer have multilib, but it worked even when they did because they put their 32 bit libs in /usr/lib32 and still had the symbolic link.
Those layout statements are also true for users on Gentoo's 17.0 profile. Funtoo will hopefully match Gentoo's 17.1 profile at some point, and that will include adapting the ebuilds to handle the layout change.
yuyuyak wrote:
But then further on in the compile it has an xml parsing error I haven't solved yet. If you want to try fixing that, here is the ebuild, not to be confused with a 100% working ebuild:
What is the error message when it fails? Knowing that would help interested parties check that they are working on the correct problem.
Back to top
View user's profile Send private message
yuyuyak
n00b
n00b


Joined: 23 Nov 2012
Posts: 51
Location: United States

PostPosted: Wed Jan 15, 2020 7:49 am    Post subject: Reply with quote

Hu wrote:
Those layout statements are also true for users on Gentoo's 17.0 profile. Funtoo will hopefully match Gentoo's 17.1 profile at some point, and that will include adapting the ebuilds to handle the layout change.

The ebuild is usable in both, the problem lies in the cmake configuration, external to the ebuild. It doesn't appear to be fixable in the ebuild from what I've seen, probably going to require a patch. I was the original "author" (if you call borrowing code from all over the interwebs authorship) of the Funtoo ebuild, it just worked and we've used it across versions for 4-5 years.
Hu wrote:
What is the error message when it fails? Knowing that would help interested parties check that they are working on the correct problem.

The good news is I was wrong, the 0.9.14.1 ebuild above works fine. I was careless and just pasted the same find string in bash with the 0.9.13.1-r2 as shown above. This time I caught myself and changed the name of the ebuild and it flew!
I'm coming back to the fold here after years at Funtoo, as soon as my new install is up I'll find a prettier way to make it all work, but if folks want it now, the above works.
For clarity, to install the above 0.9.14.1 ebuild:
Code:
ebuild ${YOUR_LOCAL_REPO_PATH}/x11-wm/compiz/compiz-0.9.14.1.ebuild configure
find /var/tmp/portage/x11-wm/compiz-0.9.14.1/work/build -type f -print0 | \
xargs -0 sed -i 's%/usr/lib/glib%/usr/lib64/glib%g'
ebuild ${YOUR_LOCAL_REPO_PATH}/x11-wm/compiz/compiz-0.9.14.1.ebuild merge
Back to top
View user's profile Send private message
hedmo
l33t
l33t


Joined: 29 Aug 2009
Posts: 998
Location: halmstad

PostPosted: Wed Jan 15, 2020 7:27 pm    Post subject: Reply with quote

yuyuyak

i have a working ebuild at my git: https://github.com/hedmo/hedmos-overlay
i have not manage to get emerald working .it segmentfault but compiz i compiling fine if you want to try it out.i have not tried gtk-window-dekorator...

regards hedmo
Back to top
View user's profile Send private message
r7l
n00b
n00b


Joined: 16 Feb 2019
Posts: 44

PostPosted: Wed Jan 15, 2020 8:55 pm    Post subject: Reply with quote

i've posted it before and i still use Compiz from this overlay: https://github.com/ethus3h/compiz-reloaded-overlay

Compiz and Emerald is working fine on multiple systems for me with XFCE using these ebuilds.
Back to top
View user's profile Send private message
yuyuyak
n00b
n00b


Joined: 23 Nov 2012
Posts: 51
Location: United States

PostPosted: Wed Jan 15, 2020 9:38 pm    Post subject: Reply with quote

hedmo wrote:
yuyuyak

i have a working ebuild at my git: https://github.com/hedmo/hedmos-overlay
i have not manage to get emerald working .it segmentfault but compiz i compiling fine if you want to try it out.i have not tried gtk-window-dekorator...

regards hedmo

Thanks hedmo, seems I'm always "borrowing" from you. But I'd prefer to use the launchpad source, no offense. I'm on it right now in Funtoo, been using for years, zero issues.
I have a solution for you with emerald, but give me a few days to get my gentoo install going, to be sure I know what I'm talking about. emerald working great here.
Edit: well I just went ahead and did it. I also had that problem about a year ago, emerald segfaults. Something changed in Gentoo/Funtoo and I just couldn't find what went wrong. Fortunately I had some machines here that weren't updated yet and grabbed the previously compiled emerald package from them. I know it's not a pretty solution, but it works. I assure you the package is clean. You can get it here: https://github.com/yuyuyak/emerald-pkg
Back to top
View user's profile Send private message
yuyuyak
n00b
n00b


Joined: 23 Nov 2012
Posts: 51
Location: United States

PostPosted: Wed Jan 15, 2020 10:37 pm    Post subject: Reply with quote

r7l wrote:
i've posted it before and i still use Compiz from this overlay: https://github.com/ethus3h/compiz-reloaded-overlay

Compiz and Emerald is working fine on multiple systems for me with XFCE using these ebuilds.
I'm sure that's true, but it's the old 0.8.8 version written in python. The newer versions are superior IMHO. And there is active development.
Back to top
View user's profile Send private message
hedmo
l33t
l33t


Joined: 29 Aug 2009
Posts: 998
Location: halmstad

PostPosted: Thu Jan 16, 2020 7:00 pm    Post subject: Reply with quote

yuyuyak wrote:

Thanks hedmo, seems I'm always "borrowing" from you. But I'd prefer to use the launchpad source, no offense. I'm on it right now in Funtoo, been using for years, zero issues.
I have a solution for you with emerald, but give me a few days to get my gentoo install going, to be sure I know what I'm talking about. emerald working great here.
Edit: well I just went ahead and did it. I also had that problem about a year ago, emerald segfaults. Something changed in Gentoo/Funtoo and I just couldn't find what went wrong. Fortunately I had some machines here that weren't updated yet and grabbed the previously compiled emerald package from them. I know it's not a pretty solution, but it works. I assure you the package is clean. You can get it here: https://github.com/yuyuyak/emerald-pkg


yuyuyak

its ok :wink: .the source is untouched.i had problem downloading it from launchpad.if you find something let me know.i will try your emerald and report back

regards hedmo
Back to top
View user's profile Send private message
yuyuyak
n00b
n00b


Joined: 23 Nov 2012
Posts: 51
Location: United States

PostPosted: Thu Jan 16, 2020 9:56 pm    Post subject: Reply with quote

I had to call out the big guns, filed a bug at launchpad, and got very swift and effective response. I also discovered after booting into my new gentoo installation (working great BTW, including compiz) that compiz configuration manager wasn't working, due to the same issues. That is now fixed in the ebuild (thanks to code lifted from hedmo's ebuild) and new patch added. So this is the final working 0.9.14.1 ebuild and new patch. It just emerges clean like any other ebuild.
Code:
# compiz-0.9.14.1.ebuild
# Distributed under the terms of the GNU General Public License v2

EAPI=5

PYTHON_COMPAT=( python3_6 python3_7 )
inherit cmake-utils eutils gnome2-utils toolchain-funcs python-single-r1 versionator
SRC_URI="https://launchpad.net/${PN}/$(get_version_component_range 1-3)/${PV}/+download/${P}.tar.xz"
KEYWORDS="*"
DESCRIPTION="OpenGL window and compositing manager"
HOMEPAGE="http://www.compiz.org/"

LICENSE="GPL-2 LGPL-2.1 MIT"
SLOT="0"

IUSE="+cairo dbus fuse gnome +svg test"

COMMONDEPEND="
      dev-libs/boost
      dev-libs/glib:2
      dev-cpp/glibmm
      dev-libs/libxml2
      dev-libs/libxslt
      dev-python/pyrex
      dev-libs/protobuf
      media-libs/libpng
      x11-base/xorg-server
      x11-libs/libX11
      x11-libs/libXcomposite
      x11-libs/libXdamage
      x11-libs/libXext
      x11-libs/libXrandr
      x11-libs/libXrender
      x11-libs/libXinerama
      x11-libs/libICE
      x11-libs/libSM
      x11-libs/startup-notification
      virtual/opengl
      virtual/glu
      cairo? ( x11-libs/cairo[X] )
      fuse? ( sys-fs/fuse )
      x11-libs/gtk+:3
      x11-libs/libwnck:3
      x11-libs/pango
      gnome? (
            gnome-base/gnome-desktop
            gnome-base/gconf
            )
      svg? (
            gnome-base/librsvg:2
            x11-libs/cairo
      )
      dbus? ( sys-apps/dbus )"

DEPEND="${COMMONDEPEND}
      app-admin/chrpath
      dev-util/gcovr
      dev-util/lcov
      virtual/pkgconfig
      test? (
            dev-cpp/gtest
            dev-cpp/gmock
      )"
#      x11-proto/damageproto
#      x11-proto/xineramaproto
RDEPEND="${COMMONDEPEND}
      dev-python/pygtk
      x11-apps/mesa-progs
      x11-apps/xvinfo
      x11-themes/hicolor-icon-theme
      x11-wm/metacity"

# TODO:
# - Remove automagic dependency for coverage report generation tools
# - Fix Xig-0 automagic resolving('CMake Warning at tests/integration/xig/CMakeLists.txt:30 (message): Xig not found, you will not be able to run X Server integration tests')
# - Check proper compilation with missing gettext/intltool
# - CFLAGS are NOT respected, this needs to be fixed
# - Default decorator exec command in ccsm is bad
# - Check all dependencies once more
# - Check CMakeFiles.txt this subdirectories :
# cmake - ?
# src
# compizconfig
# plugins
# tests - ?

pkg_pretend() {
   if [[ ${MERGE_TYPE} != binary ]]; then
      [[ $(gcc-major-version) -lt 5 ]] || \
      (   [[ $(gcc-major-version) -eq 5 && $(gcc-minor-version) -lt 3 ]] ) \
      && die "Sorry, but GCC version 5.3 or greater is required to continue."
   fi
}

#src_unpack() {
#git-2_src_unpack
#}

#src_unpack() {
#}
src_prepare() {

   echo "gtk/gnome/compiz-wm.desktop.in" >> "${S}/po/POTFILES.skip"
   echo "metadata/core.xml.in" >> "${S}/po/POTFILES.skip"

# Fix wrong path for icons
   sed -i 's:DataDir = "@prefix@/share":DataDir = "/usr/share":' compizconfig/ccsm/ccm/Constants.py.in
#   sed "s:/lib/:/$(get_libdir)/:g" \
#      -i compizconfig/compizconfig-python/CMakeLists.txt || die
# Fix libdir #
   sed "s:/lib/:/$(get_libdir)/:g" \
      -i compizconfig/compizconfig-python/CMakeLists.txt || die
# kill unneeded system-wide config in /etc
   sed -i 's:install (FILES \${_config_file} DESTINATION \${COMPIZCONFIG_CONFIG_DIR})::' \
   compizconfig/libcompizconfig/config/CMakeLists.txt
epatch "${FILESDIR}"/libdecoration-include-dirs-fix.patch
}

pkg_setup() {
   python-single-r1_pkg_setup
}

src_configure() {
   BUILD_DIR=${WORKDIR}/build
   local mycmakeargs=(
      "$(cmake-utils_use_use gnome GCONF)"
      "$(cmake-utils_use_use gnome GNOME)"
      "$(cmake-utils_use_use gnome GSETTINGS)"
      "$(cmake-utils_use test COMPIZ_BUILD_TESTING)"
      -DCMAKE_BUILD_TYPE="Release" \
      -DBUILD_METACITY=On \
      -DCMAKE_INSTALL_PREFIX=/usr \
      -DCOMPIZ_DEFAULT_PLUGINS="composite,opengl,decor,resize,place,move,compiztoolbox,staticswitcher,regex,animation,wall,ccp" \
      -DCOMPIZ_DISABLE_SCHEMAS_INSTALL=On \
      -DCOMPIZ_WERROR=Off \
      -DBUILD_GTK=On \
      -DCOMPIZ_PACKAGING_ENABLED=On \
      -DUSE_KDE4=Off \
      -DCYTHON_BIN=/usr/bin/cython
      
)
   cmake-utils_src_configure
}

src_install() {
   pushd "${CMAKE_BUILD_DIR}"

   # Fix paths to avoid sandbox access violation
   # 'emake DESTDIR=${D} install' does not work with compiz cmake files!

   for i in `find . -type f -name "cmake_install.cmake"` ; do
      sed -e "s|/usr|${D}/usr|g" -i "${i}"  || die "sed failed"
   done

   emake install
   popd
}

pkg_preinst() {
   use gnome && gnome2_gconf_savelist
}

pkg_postinst() {
   use gnome && gnome2_gconf_install

   if use dbus; then
      ewarn "The dbus plugin is known to crash compiz in this version. Disable"
      ewarn "it if you experience crashes when plugins are enabled/disabled."
   fi
}

pkg_prerm() {
   use gnome && gnome2_gconf_uninstall
}


Put this patch in $FILESDIR
libdecoration-include-dirs-fix.patch:
Code:
diff --git a/cmake/FindCompiz.cmake b/cmake/FindCompiz.cmake
index b19bcf2..5f101af 100644
--- a/cmake/FindCompiz.cmake
+++ b/cmake/FindCompiz.cmake
@@ -53,23 +53,6 @@ if (NOT _COMPIZ_INTERNAL)
        endif ()
    endif ()
 
-   # add install prefix to pkgconfig search path if needed
-        string (REGEX REPLACE "([\\+\\(\\)\\^\\\$\\.\\-\\*\\?\\|])" "\\\\\\1" PKGCONFIG_REGEX ${CMAKE_INSTALL_PREFIX})
-   set (PKGCONFIG_REGEX ".*${PKGCONFIG_REGEX}/lib/pkgconfig:${PKGCONFIG_REGEX}/share/pkgconfig.*")
-
-   if (NOT CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
-
-       if (NOT "$ENV{PKG_CONFIG_PATH}" MATCHES "${PKGCONFIG_REGEX}")
-      if ("" STREQUAL "$ENV{PKG_CONFIG_PATH}")
-          set (ENV{PKG_CONFIG_PATH} "${CMAKE_INSTALL_PREFIX}/lib/pkgconfig:${CMAKE_INSTALL_PREFIX}/share/pkgconfig")
-          else ()
-          set (ENV{PKG_CONFIG_PATH}
-               "${CMAKE_INSTALL_PREFIX}/lib/pkgconfig:${CMAKE_INSTALL_PREFIX}/share/pkgconfig:$ENV{PKG_CONFIG_PATH}")
-      endif ()
-       endif ()
-
-   endif (NOT CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
-
    # look for compiz
    pkg_check_modules (COMPIZ ${_req} "compiz${_comp_ver}")
 
diff --git a/cmake/base.cmake b/cmake/base.cmake
index 7731017..db4683c 100644
--- a/cmake/base.cmake
+++ b/cmake/base.cmake
@@ -37,16 +37,3 @@ function (_check_compiz_cmake_macro)
    ${CMAKE_COMMAND} -E copy ${CMAKE_CURRENT_SOURCE_DIR}/compizconfig/libcompizconfig/cmake/FindCompizConfig.cmake ${CMAKE_ROOT}/Modules
     )
 endfunction ()
-
-# add install prefix to pkgconfig search path if needed
-string (REGEX REPLACE "([\\+\\(\\)\\^\\\$\\.\\-\\*\\?\\|])" "\\\\\\1" PKGCONFIG_REGEX ${CMAKE_INSTALL_PREFIX})
-set (PKGCONFIG_REGEX ".*${PKGCONFIG_REGEX}/lib/pkgconfig:${PKGCONFIG_REGEX}/share/pkgconfig.*")
-
-if (NOT "$ENV{PKG_CONFIG_PATH}" MATCHES "${PKGCONFIG_REGEX}")
-    if ("" STREQUAL "$ENV{PKG_CONFIG_PATH}")
-   set (ENV{PKG_CONFIG_PATH} "${CMAKE_INSTALL_PREFIX}/lib/pkgconfig:${CMAKE_INSTALL_PREFIX}/share/pkgconfig")
-    else ()
-   set (ENV{PKG_CONFIG_PATH}
-       "${CMAKE_INSTALL_PREFIX}/lib/pkgconfig:${CMAKE_INSTALL_PREFIX}/share/pkgconfig:$ENV{PKG_CONFIG_PATH}")
-    endif ()
-endif ()
diff --git a/compizconfig/libcompizconfig/cmake/FindCompizConfig.cmake b/compizconfig/libcompizconfig/cmake/FindCompizConfig.cmake
index ccc63db..9ddc870 100644
--- a/compizconfig/libcompizconfig/cmake/FindCompizConfig.cmake
+++ b/compizconfig/libcompizconfig/cmake/FindCompizConfig.cmake
@@ -51,19 +51,6 @@ if (NOT _COMPIZCONFIG_INTERNAL)
        endif ()
    endif ()
 
-   # add install prefix to pkgconfig search path if needed
-        string (REGEX REPLACE "([\\+\\(\\)\\^\\\$\\.\\-\\*\\?\\|])" "\\\\\\1" PKGCONFIG_REGEX ${CMAKE_INSTALL_PREFIX})
-   set (PKGCONFIG_REGEX ".*${PKGCONFIG_REGEX}/lib/pkgconfig:${PKGCONFIG_REGEX}/share/pkgconfig.*")
-
-   if (NOT "$ENV{PKG_CONFIG_PATH}" MATCHES "${PKGCONFIG_REGEX}")
-       if ("" STREQUAL "$ENV{PKG_CONFIG_PATH}")
-      set (ENV{PKG_CONFIG_PATH} "${CMAKE_INSTALL_PREFIX}/lib/pkgconfig:${CMAKE_INSTALL_PREFIX}/share/pkgconfig")
-       else ()
-      set (ENV{PKG_CONFIG_PATH}
-          "${CMAKE_INSTALL_PREFIX}/lib/pkgconfig:${CMAKE_INSTALL_PREFIX}/share/pkgconfig:$ENV{PKG_CONFIG_PATH}")
-       endif ()
-   endif ()
-
    # look for compiz
    pkg_check_modules (COMPIZCONFIG ${_req} "libcompizconfig")
 

Hmm, looks like they are going to patch this upstream, so soon patch won't be needed. If that happens just comment out the epatch line in the ebuild.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Unsupported Software All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum